net.minecraft.network

## Class NetworkListenThread

- java.lang.Object
- - net.minecraft.network.NetworkListenThread

- Direct Known Subclasses:
    DedicatedServerListenThread, IntegratedServerListenThread

      public abstract class NetworkListenThread
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isListening` Whether the network listener object is listening.
    `static Logger` | `logger` Reference to the logger.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkListenThread(MinecraftServer par1MinecraftServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlayer(NetServerHandler par1NetServerHandler)` adds this connection to the list of currently connected players
    `MinecraftServer` | `getServer()`
    `void` | `networkTick()` processes packets and pending connections
    `void` | `stopListening()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static Logger logger

      Reference to the logger.

    - #### isListening

          public volatile boolean isListening

      Whether the network listener object is listening.

  - ### Constructor Detail

    - #### NetworkListenThread

          public NetworkListenThread(MinecraftServer par1MinecraftServer)
                              throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### addPlayer

          public void addPlayer(NetServerHandler par1NetServerHandler)

      adds this connection to the list of currently connected players

    - #### stopListening

          public void stopListening()

    - #### networkTick

          public void networkTick()

      processes packets and pending connections

    - #### getServer

          public MinecraftServer getServer()